\usepackage{url}

@book{Koza1992,
 author = {Koza, John R.},
 title = {Genetic Programming: On the Programming of Computers by Means of Natural Selection},
 year = {1992},
 isbn = {0-262-11170-5},
 publisher = {MIT Press},
 address = {Cambridge, MA, USA},
 chapter = 10
}

@Inbook{McConaghy2011,
author="McConaghy, Trent",
title="FFX: Fast, Scalable, Deterministic Symbolic Regression Technology",
bookTitle="Genetic Programming Theory and Practice IX",
year="2011",
publisher="Springer New York",
address="New York, NY",
pages="235--260",
isbn="978-1-4614-1770-5",
doi="10.1007/978-1-4614-1770-5_13",
url="http://dx.doi.org/10.1007/978-1-4614-1770-5_13",
}

@misc{ffxrepo,
  author = "Trent McConaghy and others",
  title = "{FFX}: Fast Function Extraction",
  year = {2011-2015},
  publisher = {GitHub},
  journal = {GitHub repository},
  howpublished = {\url{https://github.com/natekupp/ffx}},
  note = {[Online; accessed 2016-07-03; commit 4b95d7e0ac09894a86ed4f19741f4d33f1ef2ef8]},
}

@misc{pgerepo,
  author = "Tony Worm",
  title = "pypge",
  year = {2015-2016},
  publisher = {GitHub},
  journal = {GitHub repository},
  howpublished = {\url{https://github.com/verdverm/pypge}},
  note = {[Online; accessed 2016-07-03; commit 7f94595735c08e147bd17056f15d944da61eec6d]},
}


@misc{gplearnrepo,
  author = "Trevor Stephens and others",
  title = "Genetic Programming in Python, with a scikit-learn inspired {API}: gplearn",
  year = {2015-2016},
  publisher = {GitHub},
  journal = {GitHub repository},
  howpublished = {\url{https://github.com/trevorstephens/gplearn}},
  note = {[Online; accessed 2016-07-03; commit 1a6c0c747d48370cfae01163dcf0a040ad615bbd]},
}

@misc{scipy,
  author =    {Eric Jones and Travis Oliphant and Pearu Peterson and others},
  title =     {{SciPy}: Open source scientific tools for {Python}},
  year =      {2001--},
  url = "http://www.scipy.org/",
  note = {[Online; accessed 2016-07-03]},
}

%% old stuff 

@conference{   genconf,
  author       = {M. J. Willis et.al.}, 
  title        = {Genetic programming: An introduction and survey of applications},
  booktitle    = {Genetic Algorithms in Engineering Systems: Innovations and Applications},
  year         = 1997,
  pages        = {314-319},
  month        = 9,
  publisher    = {IET},
}

@article{       eureqapaper,
  author       = {Schmidt M., Lipson, H.}, 
  title        = {Distilling Free-Form Natural Laws from Experimental Data},
  journal      = {Science},
  year         = 2009,
  number       = 5923,
  pages        = {81-85},
  month        = 4,
  volume       = 324,
}

@Misc{  eureqasoftware,
  author       = "Schmidt M., Lipson, H.",
  title        = "Eureqa (Version 0.98 beta)[Software]",
  year         = 2014,
}

@article{       SRpaper,
  title         = {Using Symbolic Regression to Infer Strategies from Experimental Data},
  author        = {John Duffy, Jim Engle-Warnick},
  year          = 2002,
  pages         = {61-82},
  journal       = {Studies in Fuzziness and Soft Computing},
  volume        = 100,
  publisher     = {Physica-Verlag HD}
}

@Manual{        NAGintro,
  organization  = {The Numerical Algorithms Group Ltd.},
  title         = {NAG Library Manual},
  edition       = 25,
  year          = 2015,
}

@Manual{        DataMeltManual,
  author        = {S.Chekanov},
  title         = {DataMelt Manual},
  organization  = {DataMelt Project},
  year          = 2011,
}

@Conference{    heurconf,
  author        = {Gabriel Kronberger, Stefan Wagner, Michael Kommenda, Andreas Beham,
Andreas Scheibenpflug, and Michael Affenzeller},
  title         = {Knowledge Discovery through Symbolic Regression with HeuristicLab},
  booktitle     = {European Conference on Machine Learning and Principles and Practice of Knowledge Discovery in Databases},
  month         = 9,
  year          = 2012,
}

%%http://web.eecs.utk.edu/~czhang24/projects/cs528_Project2_Zhang.pdf
